Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class FolderPathRelationship

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.Relationship
                          oracle.ifs.beans.TieRelationship
                              oracle.ifs.beans.FolderRelationship
                                  oracle.ifs.beans.TieFolderRelationship
                                      oracle.ifs.beans.FolderPathRelationship

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieFolderPathRelationship

    public class FolderPathRelationship

extends TieFolderRelationship

This subclass of FolderRelationship is used by instances of Folder to model a path-oriented containership, similar to a file system. A public object is "added to a folder" by creating an instance of FolderPathRelationship between the folder and target public object. This relationship provides some validation (such as to prevent two objects with the same name in the same folder) and also enables finding objects from a specified relative folder path.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `LEFTOBJECTCOPY_ATTRIBUTE` A copy of the source (left) object in the Relationship.
`static java.lang.String` | `RIGHTOBJECTNAME_ATTRIBUTE` The name of the PublicObject on the 'target' (right) side of the Relationship.

Fields inherited from class oracle.ifs.beans.Relationship
`LEFTOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, RIGHTOBJECT_ATTRIBUTE, SORTSEQUENCE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `FolderPathRelationship(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a FolderPathRelationship object - standard variant.

Method Summary
`protected static FolderPathRelationship` | `constructFolderPathRelationship(LibrarySession sess, S_LibraryObjectData data)` Builds a FolderPathRelationship from a S_LibraryObjectData.
`protected static java.util.Vector` | `constructFolderPathRelationshipVector(LibrarySession sess, java.util.Vector vector)` Builds a Vector of FolderPathRelationship(s) from a Vector of S_LibraryObjectData representing FolderPathRelationship(s).

Methods inherited from class oracle.ifs.beans.FolderRelationship
`constructFolderRelationship, constructFolderRelationshipVector`

Methods inherited from class oracle.ifs.beans.Relationship
`constructRelationship, constructRelationshipVector, getLeftObject, getRightObject, getSortSequence, hasNameAttribute, vectorToRelationshipArray`

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `FolderPathRelationship`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### LEFTOBJECTCOPY_ATTRIBUTE

    public static final java.lang.String LEFTOBJECTCOPY_ATTRIBUTE

  Description copied from class: `FolderPathRelationship`
  A copy of the source (left) object in the Relationship.

  See Also:
    Constant Field Values
  (Published)

### RIGHTOBJECTNAME_ATTRIBUTE

    public static final java.lang.String RIGHTOBJECTNAME_ATTRIBUTE

  Description copied from class: `FolderPathRelationship`
  The name of the PublicObject on the 'target' (right) side of the Relationship.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### FolderPathRelationship

    protected FolderPathRelationship(LibrarySession session,
                                     java.lang.Long id,
                                     java.lang.Long classId,
                                     S_LibraryObjectData data)
                              throws IfsException

  Construct a FolderPathRelationship object - standard variant.

  Parameters:
    `session` - current LibSession
    `id` - object ID
    `classId` - the class ID
    `data` - the object's data
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Method Detail

### constructFolderPathRelationshipVector

    protected static java.util.Vector constructFolderPathRelationshipVector(LibrarySession sess,
                                                                            java.util.Vector vector)
                                                                     throws IfsException

  Description copied from class: `FolderPathRelationship`
  Builds a Vector of FolderPathRelationship(s) from a Vector of S_LibraryObjectData representing FolderPathRelationship(s).

  Parameters:
    `sess` - the current LibrarySession
    `vector` - the vector of S_LibraryObjectData
  Returns:
    Vector of FolderPathRelationship objects
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### constructFolderPathRelationship

    protected static FolderPathRelationship constructFolderPathRelationship(LibrarySession sess,
                                                                            S_LibraryObjectData data)
                                                                     throws IfsException

  Description copied from class: `FolderPathRelationship`
  Builds a FolderPathRelationship from a S_LibraryObjectData.

  Parameters:
    `sess` - the current LibrarySession
    `data` - the S_LibraryObjectData used to construc a FolderPathRelationship
  Returns:
    FolderPathRelationship the constructed object
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD